platform/plugins/product/routes/web.php
<?php






Route::group(['namespace' => 'Botble\Product\Http\Controllers', 'middleware' => 'web'], function () {

    Route::group(['prefix' => config('core.base.general.admin_dir'), 'middleware' => 'auth'], function () {


        Route::get('settings', [
            'as'   => 'real-estate.settings',
            'uses' => 'SettingController@getSettings',
        ]);

        Route::post('settings', [
            'as'   => 'real-estate.settings',
            'uses' => 'SettingController@postSettings',
        ]);

        Route::group(['prefix' => 'products', 'as' => 'products.'], function () {
            Route::resource('', 'ProductController')->parameters(['' => 'product']);
            Route::delete('items/destroy', [
                'as'         => 'deletes',
                'uses'       => 'ProductController@deletes',
                'permission' => 'products.destroy',
            ]);
            Route::get('widgets/recent-products', [
                'as'         => 'widget.recent-products',
                'uses'       => 'ProductController@getWidgetRecentProducts',
                'permission' => 'products.index',
            ]);

            Route::get('duplicate/{id}', [
                    'as'         => 'duplicate',
                    'uses'       => 'ProductController@getDuplicate',
                    'permission' => 'products.create',
            ]);
        });




        Route::group(['prefix' => 'procategories', 'as' => 'procategories.'], function () {
            Route::resource('', 'ProCategoryController')->parameters(['' => 'procategory']);

            Route::delete('items/destroy', [
                'as'         => 'deletes',
                'uses'       => 'ProCategoryController@deletes',
                'permission' => 'procategories.destroy',
            ]);
            Route::get('produplicate/{id}', [
                'as'         => 'produplicate',
                'uses'       => 'ProCategoryController@getDuplicate',
                'permission' => 'procategories.create',
            ]);
        });




        Route::group(['prefix' => 'protags', 'as' => 'protags.'], function () {
            Route::resource('', 'ProTagController')->parameters(['' => 'protag']);

            Route::delete('items/destroy', [
                'as'         => 'deletes',
                'uses'       => 'ProTagController@deletes',
                'permission' => 'protags.destroy',
            ]);

            Route::get('all', [
                'as'         => 'all',
                'uses'       => 'ProTagController@getAllProTags',
                'permission' => 'protags.index',
            ]);
        });


         Route::group(['prefix' => 'features', 'as' => 'features.'], function () {
            Route::resource('', 'FeaturesController')->parameters(['' => 'features']);
            Route::delete('items/destroy', [
                'as'         => 'deletes',
                'uses'       => 'FeaturesController@deletes',
                'permission' => 'features.destroy',
            ]);
        });
         
        Route::group(['prefix' => 'stores', 'as' => 'store.'], function () {
            Route::resource('', 'StoreController')->parameters(['' => 'store']);
            Route::delete('items/destroy', [
                'as'         => 'deletes',
                'uses'       => 'StoreController@deletes',
                'permission' => 'store.destroy',
            ]);
        });

        Route::group(['prefix' => 'carts', 'as' => 'cart.'], function () {
            Route::resource('', 'CartController')->parameters(['' => 'cart']);
            Route::delete('items/destroy', [
                'as'         => 'deletes',
                'uses'       => 'CartController@deletes',
                'permission' => 'cart.destroy',
            ]);
        });

        Route::group(['prefix' => 'orderstatuses', 'as' => 'orderstatus.'], function () {
            Route::resource('', 'OrderstatusController')->parameters(['' => 'orderstatus']);
            Route::delete('items/destroy', [
                'as'         => 'deletes',
                'uses'       => 'OrderstatusController@deletes',
                'permission' => 'orderstatus.destroy',
            ]);
        });

        Route::group(['prefix' => 'payments', 'as' => 'payment.'], function () {
            Route::resource('', 'PaymentController')->parameters(['' => 'payment']);
            Route::delete('items/destroy', [
                'as'         => 'deletes',
                'uses'       => 'PaymentController@deletes',
                'permission' => 'payment.destroy',
            ]);
        });

        Route::group(['prefix' => 'shippings', 'as' => 'shipping.'], function () {
            Route::resource('', 'ShippingController')->parameters(['' => 'shipping']);
            Route::delete('items/destroy', [
                'as'         => 'deletes',
                'uses'       => 'ShippingController@deletes',
                'permission' => 'shipping.destroy',
            ]);
        });

        Route::group(['prefix' => 'colors', 'as' => 'color.'], function () {
            Route::resource('', 'ColorController')->parameters(['' => 'color']);
            Route::delete('items/destroy', [
                'as'         => 'deletes',
                'uses'       => 'ColorController@deletes',
                'permission' => 'color.destroy',
            ]);
        });

        Route::group(['prefix' => 'sizes', 'as' => 'size.'], function () {
            Route::resource('', 'SizeController')->parameters(['' => 'size']);
            Route::delete('items/destroy', [
                'as'         => 'deletes',
                'uses'       => 'SizeController@deletes',
                'permission' => 'size.destroy',
            ]);
        });


        //Store product
        Route::group(['prefix' => 'store-products', 'as' => 'store-product.'], function () {

            Route::resource('', 'StoreProductController')->parameters(['' => 'store-product']);

            Route::delete('items/destroy', [
                'as'         => 'deletes',
                'uses'       => 'StoreProductController@deletes',
                'permission' => 'store-product.destroy',
            ]);

            Route::post('sorting', [
                'as'         => 'sorting',
                'uses'       => 'StoreProductController@postSorting',
                'permission' => 'store-product.edit',
            ]);
        });

        Route::group(['prefix' => 'store-product-items', 'as' => 'store-product-item.'], function () {

            Route::resource('', 'StoreProductItemController')->except(['index', 'destroy'])->parameters(['' => 'store-product-item']);

            Route::get('list/{id}', [
                'as'   => 'index',
                'uses' => 'StoreProductItemController@index',
            ]);

            Route::get('delete/{id}', [
                'as'   => 'destroy',
                'uses' => 'StoreProductItemController@destroy',
            ]);

            Route::delete('delete/{id}', [
                'as'         => 'delete.post',
                'uses'       => 'StoreProductItemController@postDelete',
                'permission' => 'store-product-item.destroy',
            ]);
        });
        //End Store product
        
    });

    if (defined('THEME_MODULE_SCREEN_NAME')) {
        Route::group(apply_filters(BASE_FILTER_GROUP_PUBLIC_ROUTE, []), function () {
            Route::get('searchproduct', [
                'as'   => 'public.search',
                'uses' => 'PublicController@getSearchPro',
            ]);

            Route::get('protag/{slug}', [
                'as'   => 'public.protag',
                'uses' => 'PublicController@getProTag',
            ]);

            Route::get('/product_info', [
                'as'   => 'public.product_info',
                'uses' => 'CartController@getAllProductAjax',
            ]);

            /*Route::get('/tags', function() {
                return view('tags');
            });*/
           
            Route::get('/searchac', [
                'as'   => 'products.search',
                'uses' => 'CartController@search',
            ]);

            Route::post('/add_item', [
                'as'   => 'products.add_item',
                'uses' => 'CartController@postAddItem',
            ]);
            
           
        });
    }
});

platform/plugins/product/resources/views/colors/form-color.blade.php
<div class="form-group col-md-6">
	@foreach ($colors as $color)
	    <label class="checkbox-inline">
	        <input name="colors[]" type="checkbox" value="{{ $color->id }}" @if (in_array($color->id, $selectedColors)) checked @endif>
	        {{ $color->name }}
	    </label>&nbsp;
	    
	@endforeach
</div>

platform/plugins/product/resources/views/colors/form-images.blade.php
<div class="object-images-wrapper">
    <a href="#" class="add-new-object-image js-btn-trigger-add-image"
       data-name="images[]">{{ trans('plugins/product::features.form.button_add_image') }}
    </a>
    @php $object_images = old('images', !empty($object) ? $object->images : null); @endphp
    <div class="images-wrapper">
        <div data-name="images[]" class="text-center cursor-pointer js-btn-trigger-add-image default-placeholder-object-image @if (is_array($object_images) && !empty($object_images)) hidden @endif">
            <img src="{{ url('vendor/core/images/placeholder.png') }}" alt="{{ __('Image') }}" width="120">
            <br>
            <p style="color:#c3cfd8">{{ __('Sử dụng nút') }} <strong>{{ __('Chọn hình') }}</strong> {{ __('để thêm hình') }}.</p>
        </div>
        <ul class="list-unstyled list-gallery-media-images clearfix @if (!is_array($object_images) || empty($object_images)) hidden @endif" style="padding-top: 20px;">
            @if (is_array($object_images) && !empty($object_images))
                @foreach($object_images as $image)
                    <li class="object-image-item-handler">
                        @include('plugins/product::features.components.image', [
                            'name' => 'images[]',
                            'value' => $image
                        ])
                    </li>
                @endforeach
            @endif
        </ul>
    </div>
</div>

<script id="object_select_image_template" type="text/x-custom-template">
    @include('plugins/product::features.components.image', [
        'name' => '__name__',
        'value' => null
    ])
</script>

platform/plugins/product/resources/views/colors/form-option1.blade.php
{{-- <script src="/platform/plugins/product/public/jscolor/colorpicker.js"></script> --}}
@php $object_option1 = old('option1', !empty($object) ? $object->option1 : null); @endphp
@if (is_array($object_option1) && !empty($object_option1))
    @foreach($object_option1 as $option1)
        @include('plugins/product::colors.components.option1', [
                'name' => 'option1[]',
                'value' => $option1
            ])
    @endforeach
@endif

<button type="button" id="add_sub_color" class="btn btn-flat btn-success">
        <i class="fa fa-plus" aria-hidden="true"></i>
        {{ trans('plugins/product::features.form.button_add_color') }}
</button>



<script>
var id_sub_color = {{ old('$object->option1')?count(old('$object->option1')):0 }};
$('#add_sub_color').click(function(event) {
    
    $(this).before('<div class="group-image option1-input"><div class="input-group"><input id="cp9" type="text" name="option1[]" class="form-control input-sm sub_color" value="pink" /><span class="input-group-btn"><span title="Remove" class="btn btn-flat btn-sm btn-danger removeColor"><i class="fa fa-times"></i></span></span></div></div>');

    $('.sub_color').colorpicker({
            //option1: old('$object->option1'),
            horizontal: true
        });


    $('.removeColor').click(function(event) {
        $(this).closest('.option1-input').remove();
    });
   
});
</script>

platform/plugins/product/resources/views/products/actions.blade.php
<div class="widget meta-boxes form-actions form-actions-default action-{{ $direction ?? 'horizontal' }}">
    <div class="widget-title">
        <h4>
            <span>{{ __('Xuất Bản') }}</span>
        </h4>
    </div>
    <div class="widget-body">
        <div class="btn-set">
            @if ($product && $product->id)
                <a href="{{ route('products.duplicate', [$product->id]) }}" class="btn btn-warning"><i class="fa fa-copy"></i> {{ trans('core/acl::permissions.duplicate') }}</a>
            @endif
            <button type="submit" name="submit" value="save" class="btn btn-info">
                <i class="fa fa-save"></i> {{ trans('core/base::forms.save') }}
            </button>
            <button type="submit" name="submit" value="apply" class="btn btn-success">
                <i class="fa fa-check-circle"></i> {{ trans('core/base::forms.save_and_continue') }}
            </button>
        </div>
    </div>
</div>
<div id="waypoint"></div>
<div class="form-actions form-actions-fixed-top hidden">
    {!! Breadcrumbs::render('main', page_title()->getTitle(false)) !!}
    <div class="btn-set">
        @if ($product && $product->id)
            <a href="{{ route('products.duplicate', [$product->id]) }}" class="btn btn-warning"><i class="fa fa-copy"></i> {{ trans('core/acl::permissions.duplicate') }}</a>
        @endif
        <button type="submit" name="submit" value="save" class="btn btn-info">
            <i class="fa fa-save"></i> {{ trans('core/base::forms.save') }}
        </button>
        <button type="submit" name="submit" value="apply" class="btn btn-success">
            <i class="fa fa-check-circle"></i> {{ trans('core/base::forms.save_and_continue') }}
        </button>
    </div>
</div>

platform/plugins/product/resources/views/products/form-products.blade.php
 
@php $object_products = old('products', !empty($object) ? $object->products : null); @endphp
@if (is_array($object_products) && !empty($object_products))
    @foreach($object_products as $product)
        @include('plugins/product::products.components.product', [
                'name' => 'products[]',
                'value' => $product
            ])
    @endforeach
@endif

<!-- <button type="button" id="id_sub_product" class="btn btn-flat btn-success">
        <i class="fa fa-plus" aria-hidden="true"></i>
        {{ trans('plugins/product::products.form.button_add_product') }}
</button> -->

<!-- <div class="container">
    <div class="row">
        <div class="panel panel-default">
            <div class="panel-heading">
                <h3>Products info </h3>
            </div>
            <div class="panel-body">
                <div class="form-group">
                    <input type="text" class="form-controller" id="search" name="search"></input>
                </div>
                <table class="table table-bordered table-hover">
                    <thead>
                        <tr>
                            <th>ID</th>
                            <th>Product Name</th>
                            <th>Description</th>
                            <th>Price</th>
                        </tr>
                    </thead>
                    <tbody>
                    
                    </tbody>
                </table>
            </div>

        </div>
    </div>
</div> -->


    
<script type="text/javascript">
// Add sub images
/*var id_sub_product = {{ old('products')?count(old('products')):0 }};
$('#id_sub_product').click(function(event) {
    id_sub_product +=1;
    $(this).before(
        '<div class="group-image product-input" id="orderr">'
        +'<div class="input-group">'
        +'<input type="text"  name="products[]" id="product_list" value="" class="form-control input-sm sub_product products" placeholder="Chọn sản phẩm"  />'
        +'<input type="text"  value="" class="form-control input-sm sub_product mahang" disabled placeholder="Mã Hàng"  />'
        +'<input type="text"  value="" class="form-control input-sm sub_product price" onChange="update_total($(this));" placeholder="Giá bán"  />'
        +'<input type="text"  value="" class="form-control input-sm sub_product qty" onChange="update_total($(this));" placeholder="Số lượng"  />'
        +'<input type="text"  value="" class="form-control input-sm sub_product sumprice" disabled placeholder="Tổng Tiền"  />'
        +'<span class="input-group-btn">'
        +'  <span title="Remove" class="btn btn-flat btn-sm btn-danger removeProduct">'
        +'      <i class="fa fa-times"></i>'
        +'  </span>'
        +'</span>'
        +'</div>'
        +'</div>'
        );

    $('.removeProduct').click(function(event) {
        $(this).closest('.product-input').remove();
    });
   
});

function update_total(e){
    node = e.closest('#orderr');
    var price = node.find('.price').eq(0).val();
    var qty = node.find('.qty').eq(0).val();
    var sumprice = node.find('.sumprice').eq(0).val(qty*price);
}*/

 /*$('#search').on('keyup',function(){
    $value = $(this).val();
    $.ajax({
        type: 'get',
        url: '{{ route('products.search') }}',
        data: {
            $value
        },
        success:function(data){
            $('tbody').html(data);
        }
    });
})
$.ajaxSetup({ headers: { 'csrftoken' : '{{ csrf_token() }}' } });*/
</script>




















<!-- 
  <form id="form-add-item" action="" method="">
      @csrf
      <input type="hidden" name="carts_id"  value="{{$object->id}}" id="carts_id">
      <div class="row">
        <div class="col-sm-12">
          <div class="box collapsed-box">
          <div class="table-responsive">
            <table class="table table-bordered">
                <thead>
                  <tr>
                    <th>{{ trans('product.name') }}</th>
                    <th>{{ trans('product.sku') }}</th>
                    <th class="product_price">{{ trans('product.price') }}</th>
                    <th class="product_qty">{{ trans('product.quantity') }}</th>
                    <th class="product_total">{{ trans('product.total_price') }}</th>
                    <th>{{ trans('admin.action') }}</th>
                  </tr>
                </thead>
                <tbody>
                   {{-- @foreach ($order->details as $item)
                          <tr>
                            <td>{{ $item->name }}
                              @php
                              $html = '';
                                if($item->attribute && is_array(json_decode($item->attribute,true))){
                                  $array = json_decode($item->attribute,true);
                                      foreach ($array as $key => $element){
                                        $html .= '<br><b>'.$attributesGroup[$key].'</b> : <i>'.$element.'</i>';
                                      }
                                }
                              @endphp
                            {!! $html !!}
                            </td>
                            <td>{{ $item->sku }}</td>
                            <td class="product_price"><a href="#" class="edit-item-detail" data-value="{{ $item->price }}" data-name="price" data-type="number" min=0 data-pk="{{ $item->id }}" data-url="{{ route("admin_order.edit_item") }}" data-title="{{ trans('product.price') }}">{{ $item->price }}</a></td>
                            <td class="product_qty">x <a href="#" class="edit-item-detail" data-value="{{ $item->qty }}" data-name="qty" data-type="number" min=0 data-pk="{{ $item->id }}" data-url="{{ route("admin_order.edit_item") }}" data-title="{{ trans('order.qty') }}"> {{ $item->qty }}</a></td>
                            <td class="product_total item_id_{{ $item->id }}">{{ sc_currency_render_symbol($item->total_price,$order->currency)}}</td>
                            <td>
                                <span  onclick="deleteItem({{ $item->id }});" class="btn btn-danger btn-xs" data-title="Delete"><i class="fa fa-trash" aria-hidden="true"></i></span>
                            </td>
                          </tr>
                    @endforeach--}}

                    <tr  id="add-item" class="not-print">
                      <td colspan="6">
                        <button  type="button" class="btn btn-sm btn-flat btn-success" id="add-item-button"  title="{{trans('product.add_product') }}"><i class="fa fa-plus"></i> {{ trans('product.add_product') }}</button>
                        &nbsp;&nbsp;&nbsp;<button style="display: none; margin-right: 50px" type="button" class="btn btn-sm btn-flat btn-warning" id="add-item-button-save"  title="Save"><i class="fa fa-save"></i> {{ trans('admin.save') }}</button>
                    </td>
                  </tr>
                </tbody>
              </table>
            </div>
        </div>
        </div>

      </div>
</form>
 -->
<!-- 

@php
  $htmlSelectProduct = '<tr>
              <td style="    width: 30%;">
                <select onChange="selectProduct($(this));"  class="add_id form-control select2" name="add_id[]" style="width:100% !important;">
                <option value="0">'.trans('Lựa chọn Sản Phẩm').'</option>';
                if(count($products)){
                  foreach ($products as $productName){
                    $htmlSelectProduct .='<option  value="'.$productName->id.'" class="Product-'.$productName->id.'" id="product_id">'.$productName->name.'</option>';
                   }
                }
  $htmlSelectProduct .='
              </select>
                <span class="add_attr"></span>
                </td>

              <td><input type="text" disabled class="add_sku form-control"  value="" name="add_sku[]"></td>
              <input type="hidden" disabled class="product_id form-control"  value="" name="product_id[]">
              <td><input onChange="update_total($(this));" type="number" min="0" class="add_price form-control" name="add_price[]" value="0"></td>
              <td><input onChange="update_total($(this));" type="number" min="0" class="add_qty form-control" name="add_qty[]" value="0"></td>
              <td><input type="number" disabled class="add_total form-control" value="0"></td>
              <td><button onClick="$(this).parent().parent().remove();" class="btn btn-danger btn-md btn-flat" data-title="Delete"><i class="fa fa-times" aria-hidden="true"></i></button></td>
            </tr>
          <tr>
          </tr>';
        $htmlSelectProduct = str_replace("\n", '', $htmlSelectProduct);
        $htmlSelectProduct = str_replace("\t", '', $htmlSelectProduct);
        $htmlSelectProduct = str_replace("\r", '', $htmlSelectProduct);
@endphp

<span id="loading" style="display: none;">@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@</span> -->






<script type="text/javascript">



/*function update_total(e){
    node = e.closest('tr');
    var qty = node.find('.add_qty').eq(0).val();
    var price = node.find('.add_price').eq(0).val();
    node.find('.add_total').eq(0).val(qty*price);
}



    function selectProduct(element){
        node = element.closest('tr');
        var id = parseInt(node.find('option:selected').eq(0).val());
        if(id == 0){
            node.find('.add_sku').val('');
            node.find('.add_qty').eq(0).val('');
            node.find('.add_price').eq(0).val('');
            node.find('.product_id').html('');
        }else{
            $.ajax({
                url : '{{ route('products.search') }}',
                type : "get",
                dateType:"application/json; charset=utf-8",
                data : {
                     id:id,
                     
                },
            beforeSend: function(){
                $('#loading').show();
            },
            success: function(returnedData){
                
               
                
                
                node.find('.add_qty').eq(0).val(1);
                node.find('.add_sku').val(returnedData.pricesale);
                node.find('.product_id').eq(0).val(returnedData.id);

                node.find('.add_price').eq(0).val(returnedData.pricesell);

                node.find('.add_total').eq(0).val(returnedData.pricesell * {!! ($order->exchange_rate)??1 !!});
                
                $('#loading').hide();
               
                }
            });
        }

    }
$('#add-item-button').click(function() {
  var html = '{!! $htmlSelectProduct !!}';
  $('#add-item').before(html);
  $('.select2').select2();
  $('#add-item-button-save').show();
});*/




/*$(document).ready(function(){

  // Fetch records
  //fetchRecords();

  // Add record
  $('#add-item-button-save').click(function(){

    var carts_id = $('#carts_id').val();
    var price = $('.add_price').val();
    var qty = $('.add_qty').val();
    var carts_amound = price*qty;
    var product_id = $('#product_id').val();

   
    if(carts_id != '' && carts_amound != ''){
      $.ajax({
        url: '{{ route('products.add_item')}}',
        type: 'post',
        data: {carts_id: carts_id,carts_amound: carts_amound},
        success: function(response){

          if(response > 0){
            var id = response;
            var findnorecord = $('#userTable tr.norecord').length;

            if(findnorecord > 0){
              $('#userTable tr.norecord').remove();
            }
            var tr_str = "<tr>"+
            "<td align='center'><input type='text' value='" + username + "' id='username_"+id+"' disabled ></td>" +
            "<td align='center'><input type='text' value='" + name + "' id='name_"+id+"'></td>" +
            "<td align='center'><input type='email' value='" + email + "' id='email_"+id+"'></td>" +
            "<td align='center'><input type='button' value='Update' class='update' data-id='"+id+"' ><input type='button' value='Delete' class='delete' data-id='"+id+"' ></td>"+
            "</tr>";

            $("#userTable tbody").append(tr_str);
          }else if(response == 0){
            alert('Username already in use.');
          }else{
            alert(response);
          }

          alert(response);

          
          $('#carts_id').val('');
          $('.add_price').val('');
          $('.add_qty').val('');
          $('.add_qty').val('');
        }
      });
    }else{
      alert('Fill all fields');
    }
  });

});
*/

</script>

        

platform/plugins/product/resources/views/products/widgets/products.blade.php
@if ($products->count() > 0)
    <div class="scroller">
        <table class="table table-striped">
            <thead>
            <tr>
                <th>#</th>
                <th>{{ trans('core/base::tables.name') }}</th>
                <th>{{ trans('core/base::tables.created_at') }}</th>
            </tr>
            </thead>
            <tbody>
            @foreach($products as $product)
                <tr>
                    <td>{{ $loop->index + 1 }}</td>
                    <td>@if ($product->slug) <a href="{{ $product->url }}" target="_blank">{{ Str::limit($product->name, 100) }}</a> @else <strong>{{ Str::limit($product->name, 100) }}</strong> @endif</td>
                    <td>{{ date_from_database($product->created_at, 'd-m-Y') }}</td>
                </tr>
            @endforeach
            </tbody>
        </table>
    </div>
    @if ($products->total() > $limit)
        <div class="widget_footer">
            @include('core/dashboard::partials.paginate', ['data' => $products, 'limit' => $limit])
        </div>
    @endif
@else
    @include('core/dashboard::partials.no-data', ['message' => trans('plugins/product::products.no_new_product_now')])
@endif